<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Inertia\Inertia;
use Inertia\Response;

class SummaryController extends Controller
{
    public function view(Request $request): Response
    {
        $fair = session()->get('fair');
        $account = session()->get('account');
        $exposition = session()->get('exposition');
        $userId = $request->session()->get('user_id');
        $galleryId = $request->session()->get('gallery_id');

        return Inertia::render('Summary', [
            'fair' => $fair,
            'account' => $account,
            'exposition' => $exposition,
            'user_id' => $userId ?? '',
            'gallery_id' => $galleryId ?? '',
        ]);
    }
}
